Google Web Toolkit (Beta)
Search this site:

# Class IntRange

public class IntRange
extends Object
implements Range
A Range that iterates over a start and end value by a stepping function. Typically used by benchmarks to supply a range of values over an integral parameter, such as size or length.

## Constructors

IntRange(int, int, Operator, int) | Creates a new range that produces Iterators which begin at `start`, end at `end` and increment by the stepping function described by `operator` and `step`.

## Methods

iterator() |

## Constructor Detail

### IntRange

public IntRange(int start, int end, Operator operator, int step)
Creates a new range that produces Iterators which begin at `start`, end at `end` and increment by the stepping function described by `operator` and `step`.

#### Parameters

start
  Initial starting value, inclusive.
end
  Ending value, inclusive.
operator
  The function used to step.
step
  The amount to step by, for each iteration.

## Method Detail

### iterator

public Iterator iterator()